Skip to main content
POST
Upload documents

Path Parameters

workspaceId
string<uuid>
required

Workspace identifier.

Body

multipart/form-data

multipart form data

Response

createdAt
string<date-time>
required

Creation timestamp.

displayName
string
required

Display name.

extension
string
required

File extension (without dot). Owned by the document.

hash
string
required

Lowercase hex-encoded SHA-256 of the document's plaintext content. Resolved from the backing blob.

id
string<uuid>
required

Unique document identifier.

kind
required

The document's role (original or redacted).

Allowed value: "original"
originalFilename
string
required

Original filename when uploaded.

size
integer<int64>
required

Size in bytes. Resolved from the backing blob.

updatedAt
string<date-time>
required

Last update timestamp.

uploadedBy
object
required

Account that uploaded/created the document.

workspaceHandle
string
required

URL-safe workspace handle. Display-only.

Required string length: 3 - 32
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
workspaceId
string<uuid>
required

Unique identifier of the workspace.